
CoCoALib - Feature #44

Feature # 39 (Closed): Squarefree factorization

Feature # 43 (Closed): Squarefree factorization - for polynomials

Squarefree factorization -  univariate polynomials

30 Nov 2011 17:20 - John Abbott

Status: Closed Start date: 30 Nov 2011

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-0.99531 Spent time: 0.80 hour

Description

For the case of sqfr factorization of univariate polynomials, it is easy to obtain the coarsest sqfr factorization.

Subtasks:

Feature # 45: Squarefree factorization -  univariate polynomials, char 0 Closed

Feature # 46: Squarefree factorization -  univariate polynomials, char p > 0 Closed

  Feature # 69: p-th root Closed

History

#1 - 23 Oct 2013 20:31 - John Abbott

- Status changed from New to Closed

- Assignee set to John Abbott

The multivariate code (port of d'Ali's impl of Bernardin's algm) also handles the univariate case, and seems to be fast enough (or will be once a proper

GCD is available).

Closing.

#2 - 29 Oct 2013 12:34 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99531
